c ----------------------------------------------------------------------
c file di common (COMMON.H)
c ----------------------------------------------------------------------
c                        
      parameter (maxnodi = 5000       )          
      parameter (maxele  = 3000       )
      parameter (maxeq   = maxnodi*2  )
c
      parameter (maxmat  = maxele     )
      parameter (stiff   = 1.0d18     )
c
c ----------------------------------------------------------------------
c numero p.ti di integrazione
      dimension xg(16), wg(16)    
      dimension iutil(maxeq,3) 
c ----------------------------------------------------------------------
c Dati probl. e files    
c
      character title*72, jobname*72, fname_inp*12, fname_out*12,
     &          stringa*72       
c
c ----------------------------------------------------------------------
c
      common / dati     / nnodi, nele, xyz(3,maxnodi), inc(5,maxele),
     &                    ite(maxele), area_el(maxele), vol_el(maxele),
     &                    NP_G(maxele), ACC, ax, ay
c
      common / materiali/ num_mat, prop(4,maxmat), i_pl(maxmat),C(4,4),
     &                    imat(maxmat)
c
      common / vincoli  / nnodi_vinc, cedim(2,maxnodi), rigid(2,maxnodi)
c
      common / forze    / nnodi_caricati, forze(2,maxnodi)
c	  
      common / stiff_   / xK(8,8), XKG (maxeq,maxeq), f(maxeq), B(4,8),
     &                    CB(4,8), xN(4), dxN(2,4), derxy(2,4)
c
      common / Results  /deformazioni(4,16,maxele),tensioni(4,16,maxele)
c
c ----------------------------------------------------------------------
      data nfinp  , nfout  , nf_B , nf_CB            / 1, 2, 3, 4      /
      data nfvideo                                   / 5               /
c ----------------------------------------------------------------------
